import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicSlides } from '@ionic/angular';
import { TruncatePipe } from '../../pipes/truncate.pipe'; // 导入管道
import { IonicModule } from '@ionic/angular';
import { TestMessagePageRoutingModule } from './test-message-routing.module';

import { TestMessagePage } from './test-message.page';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    TestMessagePageRoutingModule,
    IonicModule,
    TruncatePipe
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA], // 如果仍需要
  declarations: [TestMessagePage,
    
  ],
  //providers: [IonicSlides], // 关键！提供 IonicSlides 服务
})
export class TestMessagePageModule {}
